Ticket #4280 (closed defect: fixed)

Opened 8 years ago

Last modified 7 years ago

IE8 でテキストエリアに一定の文字を入力すると、スクロールバーが小刻みに動く

Reported by: urabe Assigned to: takai
Priority: minor Milestone: OpenPNE2.14.6
Component: 指定しない Version: 2.12.x & 2.14.x
Keywords: OpenPNE2.12.19 Cc:

Description (Last modified by imamura623)

■現象

IE8でテキストエリアのサイズを超える文字を入力すると、文字入力時、変換時にスクロールバーの位置がランダムに変動する

■原因

IE8 で 「標準モード」 で 「textarea の幅指定 width を % で指定した場合」 にテキストエリアのサイズを超えるテキストを入力すると問題が発生する

■発生バージョン

すべてのバージョンで発生しうる

■再現手順

日記入力欄などである程度のテキスト量の文字を挿入し、文字変換などを行う 日記入力欄意外にも 「textarea の幅指定 width を % で指定した場合」 に当てはまるすべてのテキストエリア

■環境

  • IE8

■関連情報

Change History

08/25/09 09:06:30 changed by urabe

  • description changed.

09/04/09 11:57:24 changed by urabe

  • version set to 2.12.x & 2.14.x.

05/13/10 19:36:38 changed by takai

  • status changed from new to closed.
  • resolution set to duplicate.
  • description changed.

重複しているようなのでクローズします。

05/13/10 20:03:58 changed by takai

  • status changed from closed to reopened.
  • resolution deleted.

2系と3系で別扱いでしたね。reopenします。

05/13/10 20:31:19 changed by takai

根本的な原因は、IE8 の実装による不具合です。

2系に関しては、IE8がリリースされてからCSSを書き換えていないため、IE8で崩れなどの不具合がいくつか生じている可能性があります。

そのため、IE8のモードスイッチを記述しておくべきだったのですが、その対応が行われていないようです。

関連情報

考えられる対応方法(1)

  • IE8モードとして動作させないようにする
    <meta http-equiv="X-UA-Compatible" content="IE=emulateIE7" />
    

考えられる対応方法(2)

  • textarea にスタイルを与えて問題が起こらないようにする
  • 本件の問題については、ウェブ検索をすればいくつか情報が出てきます
  • textarea を block 扱いします
    textarea {
    	display: block;
    }
    

推奨される対応

OpenPNE2系は、IE8を想定していなかったため、他の不具合等を考慮するのであれば対応方法(1)を採用すべきです。

しかしながら、IE8がリリースされてから既に1年以上経っていることなどを考慮すると、対応方法(2)などの局所的な対応が好ましいかもしれません。

以上、考察のみ示しておきます。

05/17/10 10:55:50 changed by kiwpon

  • keywords set to OpenPNE2.12.19.
  • milestone set to OpenPNE2.14.6.

対応方法もでているので、次のリリースに入れちゃいましょう。

05/17/10 10:59:19 changed by kiwpon

  • description changed.

IE8がリリースされてからしばらく経っている上、IE利用者は少なくありません。ここは対応方法(2)でいきたいと思います。

(2)の対応を行った状態の動作確認で致命的な副作用が発見された場合、対応方法(1)でいきましょう。

05/17/10 11:07:58 changed by imamura623

  • description changed.

05/17/10 11:22:24 changed by kiwpon

2.14のxhtml_css.php でtextarea の横幅を%指定している箇所

.bizSideTodoList textarea {
        width: 98%;
}
.formTable textarea {
        width: 98%;
}

2.14でbizSideTodoList のtextarea 存在する箇所

  • webapp_biz/modules/pc/page/f_home.php
  • webapp_biz/modules/pc/page/h_home.php
  • webapp_biz/modules/pc/page/h_prof.php

2.14でformTableが指定されている画面のなかで確実にtextareaが存在する画面(テンプレート上で確認した限りなので実際にはもうちょっとあると思います)

  • webapp/modules/pc/templates/h_com_add.tpl
  • webapp/modules/pc/templates/h_config_prof.tpl
  • webapp/modules/pc/templates/h_invite.tpl
  • webapp/modules/pc/templates/h_regist_prof.tpl
  • webapp/modules/pc/templates/h_schedule_add.tpl
  • webapp/modules/pc/templates/h_schedule_edit.tpl
  • webapp/modules/pc/templates/h_taikai_confirm.tpl
  • webapp/modules/pc/templates/o_regist_prof.tpl
  • webapp_biz/modules/biz/templates/fh_biz_schedule_add.tpl
  • webapp_biz/modules/biz/templates/fh_biz_schedule_edit.tpl
  • webapp_biz/modules/biz/templates/fh_home_edit_biz_todo.tpl
  • webapp_biz/modules/biz/templates/h_biz_group_add.tpl
  • webapp_biz/modules/biz/templates/h_biz_group_edit.tpl
  • webapp/modules/pc/templates/c_admin_request.tpl
  • webapp/modules/pc/templates/c_edit.tpl
  • webapp/modules/pc/templates/c_event_add.tpl
  • webapp/modules/pc/templates/c_event_detail.tpl
  • webapp/modules/pc/templates/c_event_edit.tpl
  • webapp/modules/pc/templates/c_event_invite.tpl
  • webapp/modules/pc/templates/c_event_mail.tpl
  • webapp/modules/pc/templates/c_invite.tpl
  • webapp/modules/pc/templates/c_join_request.tpl
  • webapp/modules/pc/templates/c_send_message.tpl
  • webapp/modules/pc/templates/c_sub_admin_request.tpl
  • webapp/modules/pc/templates/c_topic_add.tpl
  • webapp/modules/pc/templates/c_topic_detail.tpl
  • webapp/modules/pc/templates/c_topic_edit.tpl
  • webapp/modules/pc/templates/f_intro_edit.tpl
  • webapp/modules/pc/templates/f_invite.tpl
  • webapp/modules/pc/templates/f_link_request.tpl
  • webapp/modules/pc/templates/f_message_send.tpl
  • webapp/modules/pc/templates/fh_diary.tpl
  • webapp/modules/pc/templates/h_album_add.tpl
  • webapp/modules/pc/templates/h_album_cover_edit.tpl

05/17/10 11:41:49 changed by imamura623

  • owner changed from nobody to takai.
  • status changed from reopened to new.

05/17/10 12:50:48 changed by takai

  • status changed from new to assigned.

05/17/10 13:15:54 changed by takai

  • keywords changed from OpenPNE2.12.19 to OpenPNE2.12.19 確認中.

次のリビジョンで取り込みました。

05/19/10 09:21:56 changed by urabe

  • keywords changed from OpenPNE2.12.19 確認中 to OpenPNE2.12.19 テスト待ち.

確認しました

(follow-up: ↓ 15 ) 05/19/10 14:16:02 changed by imamura623

  • keywords changed from OpenPNE2.12.19 テスト待ち to OpenPNE2.12.19 差し戻し.

stable-2.12.xだと勝手にスクロールする現象が再現します。 ご確認をお願いします。

(in reply to: ↑ 14 ) 05/19/10 14:45:12 changed by imamura623

  • keywords changed from OpenPNE2.12.19 差し戻し to OpenPNE2.12.19.
  • status changed from assigned to closed.
  • resolution set to fixed.

Replying to imamura623:

stable-2.12.xだと勝手にスクロールする現象が再現します。 ご確認をお願いします。

IE8で再現した原因はCSSがキャッシュされ最新のものになっていなかったからでした。 キャッシュを削除し再度確認したところ問題ありあませんでした。

stable-2.12.x、stable-2.14.xともに問題ありません。